From 6c85600833b1a2f8f4dae1ab2a680be6fbe3f50c Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Thu, 8 Nov 2012 16:48:14 -0500
Subject: [PATCH] Reorganized ESC images.

The ESC images have been moved from tps-ui into common-ui. The
pkicreate has been updated to deploy the ESC images from common-ui
into /pki/esc. The paths in templates and CSS file have been
modified to point to the new location.

Ticket #328
---
 base/setup/pkicreate                                        |   8 ++++++++
 .../shared/docroot => common-ui/shared}/esc/demo/logo.jpg   | Bin
 .../shared/docroot => common-ui/shared}/esc/home/logo.jpg   | Bin
 .../shared}/esc/images/BannerBackground.gif                 | Bin
 .../shared}/esc/images/CancelButton.gif                     | Bin
 .../docroot => common-ui/shared}/esc/images/CloseButton.gif | Bin
 .../shared}/esc/images/ContinueButton.gif                   | Bin
 .../docroot => common-ui/shared}/esc/images/HelpButton.gif  | Bin
 .../shared}/esc/images/NetKey-Small.gif                     | Bin
 .../shared}/esc/images/NetKeyInsert.gif                     | Bin
 .../docroot => common-ui/shared}/esc/images/NetKeyLogo.gif  | Bin
 .../docroot => common-ui/shared}/esc/images/NetKeyPair.gif  | Bin
 .../shared}/esc/images/NetKeyProgress.gif                   | Bin
 .../shared}/esc/images/NetKeyQuestionMark.gif               | Bin
 .../docroot => common-ui/shared}/esc/images/OKButton.gif    | Bin
 .../docroot => common-ui/shared}/esc/images/PadLock.gif     | Bin
 .../shared}/esc/images/PurchaseButton.gif                   | Bin
 .../shared}/esc/images/ReactivateButton.gif                 | Bin
 .../shared}/esc/images/ReleaseButton.gif                    | Bin
 .../shared}/esc/images/SecureButton.gif                     | Bin
 .../shared}/esc/images/SuspendButton.gif                    | Bin
 .../shared}/esc/images/TryAgainButton.gif                   | Bin
 .../shared/docroot => common-ui/shared}/esc/images/bg.jpg   | Bin
 .../shared/docroot => common-ui/shared}/esc/images/logo.gif | Bin
 .../shared}/esc/so/images/indicator.gif                     | Bin
 .../docroot => common-ui/shared}/esc/so/images/logo.gif     | Bin
 .../shared/docroot => common-ui/shared}/esc/so/logo.jpg     | Bin
 .../shared}/esc/sow/images/indicator.gif                    | Bin
 .../docroot => common-ui/shared}/esc/sow/images/logo.gif    | Bin
 .../shared/docroot => common-ui/shared}/esc/sow/logo.jpg    | Bin
 dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html               |   2 +-
 dogtag/tps-ui/shared/cgi-bin/home/Enroll.html               |   2 +-
 dogtag/tps-ui/shared/cgi-bin/so/Enroll.html                 |   4 ++--
 dogtag/tps-ui/shared/cgi-bin/sow/enroll.html                |   2 +-
 dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html           |   2 +-
 dogtag/tps-ui/shared/cgi-bin/sow/format.html                |   2 +-
 dogtag/tps-ui/shared/cgi-bin/sow/formatso.html              |   2 +-
 dogtag/tps-ui/shared/cgi-bin/sow/seturl.html                |   2 +-
 dogtag/tps-ui/shared/docroot/esc/AdminEsc.html              |   2 +-
 dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html          |   2 +-
 dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html           |   2 +-
 dogtag/tps-ui/shared/docroot/esc/GenericAuth.html           |   2 +-
 dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html           |   6 +++---
 dogtag/tps-ui/shared/docroot/esc/TokenManager.html          |   2 +-
 dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html    |   2 +-
 dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html      |   2 +-
 dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html    |   2 +-
 dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html      |   2 +-
 dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html      |   2 +-
 dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html        |   2 +-
 dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html     |   2 +-
 dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html       |   2 +-
 dogtag/tps-ui/shared/docroot/esc/style.css                  |   2 +-
 53 files changed, 34 insertions(+), 26 deletions(-)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/demo/logo.jpg (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/home/logo.jpg (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/BannerBackground.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/CancelButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/CloseButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/ContinueButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/HelpButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKey-Small.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKeyInsert.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKeyLogo.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKeyPair.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKeyProgress.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/NetKeyQuestionMark.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/OKButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/PadLock.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/PurchaseButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/ReactivateButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/ReleaseButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/SecureButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/SuspendButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/TryAgainButton.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/bg.jpg (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/images/logo.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/so/images/indicator.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/so/images/logo.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/so/logo.jpg (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/sow/images/indicator.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/sow/images/logo.gif (100%)
 rename dogtag/{tps-ui/shared/docroot => common-ui/shared}/esc/sow/logo.jpg (100%)

diff --git a/base/setup/pkicreate b/base/setup/pkicreate
index ac037f0a2e5809cb0222aae484f7748dc876db81..6b503fe7eb73ef67946ba919053cad9853813182 100755
--- a/base/setup/pkicreate
+++ b/base/setup/pkicreate
@@ -2073,6 +2073,14 @@ sub process_pki_directories
             $default_dir_permissions, $default_file_permissions,
             $pki_user, $pki_group);
 
+        # Copy /usr/share/pki/common-ui/esc
+        # to <instance>/docroot/pki/esc
+        return 0 if !copy_directory(
+            "$common_ui_subsystem_path/esc",
+            "$docroot_instance_path/pki/esc",
+            $default_dir_permissions, $default_file_permissions,
+            $pki_user, $pki_group);
+
         # Copy /usr/share/pki/common-ui/images
         # to <instance>/docroot/pki/images
         return 0 if !copy_directory(
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/logo.jpg b/dogtag/common-ui/shared/esc/demo/logo.jpg
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/demo/logo.jpg
rename to dogtag/common-ui/shared/esc/demo/logo.jpg
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/logo.jpg b/dogtag/common-ui/shared/esc/home/logo.jpg
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/home/logo.jpg
rename to dogtag/common-ui/shared/esc/home/logo.jpg
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/BannerBackground.gif b/dogtag/common-ui/shared/esc/images/BannerBackground.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/BannerBackground.gif
rename to dogtag/common-ui/shared/esc/images/BannerBackground.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/CancelButton.gif b/dogtag/common-ui/shared/esc/images/CancelButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/CancelButton.gif
rename to dogtag/common-ui/shared/esc/images/CancelButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/CloseButton.gif b/dogtag/common-ui/shared/esc/images/CloseButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/CloseButton.gif
rename to dogtag/common-ui/shared/esc/images/CloseButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/ContinueButton.gif b/dogtag/common-ui/shared/esc/images/ContinueButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/ContinueButton.gif
rename to dogtag/common-ui/shared/esc/images/ContinueButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/HelpButton.gif b/dogtag/common-ui/shared/esc/images/HelpButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/HelpButton.gif
rename to dogtag/common-ui/shared/esc/images/HelpButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKey-Small.gif b/dogtag/common-ui/shared/esc/images/NetKey-Small.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKey-Small.gif
rename to dogtag/common-ui/shared/esc/images/NetKey-Small.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKeyInsert.gif b/dogtag/common-ui/shared/esc/images/NetKeyInsert.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKeyInsert.gif
rename to dogtag/common-ui/shared/esc/images/NetKeyInsert.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKeyLogo.gif b/dogtag/common-ui/shared/esc/images/NetKeyLogo.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKeyLogo.gif
rename to dogtag/common-ui/shared/esc/images/NetKeyLogo.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKeyPair.gif b/dogtag/common-ui/shared/esc/images/NetKeyPair.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKeyPair.gif
rename to dogtag/common-ui/shared/esc/images/NetKeyPair.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKeyProgress.gif b/dogtag/common-ui/shared/esc/images/NetKeyProgress.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKeyProgress.gif
rename to dogtag/common-ui/shared/esc/images/NetKeyProgress.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/NetKeyQuestionMark.gif b/dogtag/common-ui/shared/esc/images/NetKeyQuestionMark.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/NetKeyQuestionMark.gif
rename to dogtag/common-ui/shared/esc/images/NetKeyQuestionMark.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/OKButton.gif b/dogtag/common-ui/shared/esc/images/OKButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/OKButton.gif
rename to dogtag/common-ui/shared/esc/images/OKButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/PadLock.gif b/dogtag/common-ui/shared/esc/images/PadLock.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/PadLock.gif
rename to dogtag/common-ui/shared/esc/images/PadLock.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/PurchaseButton.gif b/dogtag/common-ui/shared/esc/images/PurchaseButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/PurchaseButton.gif
rename to dogtag/common-ui/shared/esc/images/PurchaseButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/ReactivateButton.gif b/dogtag/common-ui/shared/esc/images/ReactivateButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/ReactivateButton.gif
rename to dogtag/common-ui/shared/esc/images/ReactivateButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/ReleaseButton.gif b/dogtag/common-ui/shared/esc/images/ReleaseButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/ReleaseButton.gif
rename to dogtag/common-ui/shared/esc/images/ReleaseButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/SecureButton.gif b/dogtag/common-ui/shared/esc/images/SecureButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/SecureButton.gif
rename to dogtag/common-ui/shared/esc/images/SecureButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/SuspendButton.gif b/dogtag/common-ui/shared/esc/images/SuspendButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/SuspendButton.gif
rename to dogtag/common-ui/shared/esc/images/SuspendButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/TryAgainButton.gif b/dogtag/common-ui/shared/esc/images/TryAgainButton.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/TryAgainButton.gif
rename to dogtag/common-ui/shared/esc/images/TryAgainButton.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/bg.jpg b/dogtag/common-ui/shared/esc/images/bg.jpg
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/bg.jpg
rename to dogtag/common-ui/shared/esc/images/bg.jpg
diff --git a/dogtag/tps-ui/shared/docroot/esc/images/logo.gif b/dogtag/common-ui/shared/esc/images/logo.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/images/logo.gif
rename to dogtag/common-ui/shared/esc/images/logo.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/images/indicator.gif b/dogtag/common-ui/shared/esc/so/images/indicator.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/images/indicator.gif
rename to dogtag/common-ui/shared/esc/so/images/indicator.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/images/logo.gif b/dogtag/common-ui/shared/esc/so/images/logo.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/images/logo.gif
rename to dogtag/common-ui/shared/esc/so/images/logo.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/logo.jpg b/dogtag/common-ui/shared/esc/so/logo.jpg
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/so/logo.jpg
rename to dogtag/common-ui/shared/esc/so/logo.jpg
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/images/indicator.gif b/dogtag/common-ui/shared/esc/sow/images/indicator.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/images/indicator.gif
rename to dogtag/common-ui/shared/esc/sow/images/indicator.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/images/logo.gif b/dogtag/common-ui/shared/esc/sow/images/logo.gif
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/images/logo.gif
rename to dogtag/common-ui/shared/esc/sow/images/logo.gif
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/logo.jpg b/dogtag/common-ui/shared/esc/sow/logo.jpg
similarity index 100%
rename from dogtag/tps-ui/shared/docroot/esc/sow/logo.jpg
rename to dogtag/common-ui/shared/esc/sow/logo.jpg
diff --git a/dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html b/dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html
index d366f1a853f91ac5c9d2c87d467078920f8fb6cc..df00dbee43179536d76150fbc20f02a3d5e4ee0c 100755
--- a/dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html
+++ b/dogtag/tps-ui/shared/cgi-bin/demo/Enroll.html
@@ -31,7 +31,7 @@
 <table width="100%" class="logobar">
   <tr>
     <td>
-<img alt="" src="/demo/logo.jpg">
+<img alt="" src="/pki/esc/demo/logo.jpg">
     </td>
     <td>
       <p class="headerText">Veracify Investments Smartcard Enrollment</p>
diff --git a/dogtag/tps-ui/shared/cgi-bin/home/Enroll.html b/dogtag/tps-ui/shared/cgi-bin/home/Enroll.html
index daa5fead8d818a24e8139bb7a1d8d49afb624fe0..218da280c0b485be4b803b4586298bc8192bc409 100755
--- a/dogtag/tps-ui/shared/cgi-bin/home/Enroll.html
+++ b/dogtag/tps-ui/shared/cgi-bin/home/Enroll.html
@@ -30,7 +30,7 @@
 <table width="100%" class="logobar">
   <tr>
     <td>
-<img alt="" src="/home/logo.jpg">
+<img alt="" src="/pki/esc/home/logo.jpg">
     </td>
     <td>
       <p class="headerText">Smartcard Enrollment</p>
diff --git a/dogtag/tps-ui/shared/cgi-bin/so/Enroll.html b/dogtag/tps-ui/shared/cgi-bin/so/Enroll.html
index c35a53008b00586a6a3fe24499cf39f736101504..3d2fa6daa3604c1ebb03667dc45f9f20e3449632 100755
--- a/dogtag/tps-ui/shared/cgi-bin/so/Enroll.html
+++ b/dogtag/tps-ui/shared/cgi-bin/so/Enroll.html
@@ -81,7 +81,7 @@ function UserOnCOOLKeyStatusUpdate(data)
 <table width="100%" class="logobar">
   <tr>
     <td>
-<!--<img alt="" src="/esc/so/images/logo.gif"> -->
+<!--<img alt="" src="/pki/esc/so/images/logo.gif"> -->
     </td>
     <td align = "center">
       <p class="headerText">Security Officer Enrollment</p>
@@ -123,7 +123,7 @@ function UserOnCOOLKeyStatusUpdate(data)
     </table>
     <br>
     <div id="ajax-pb" style="display:none;">
-       <img src="/esc/so/images/indicator.gif">
+       <img src="/pki/esc/so/images/indicator.gif">
        <h2 id="progress" name="progress" value="0%" ></h2>
     </table>
     </div>
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/enroll.html b/dogtag/tps-ui/shared/cgi-bin/sow/enroll.html
index 673035aebe4ba24db4cbbfa963ebf06215b5a297..7bc377ffea1bc7939f8cee29c16c819a0a1424bc 100755
--- a/dogtag/tps-ui/shared/cgi-bin/sow/enroll.html
+++ b/dogtag/tps-ui/shared/cgi-bin/sow/enroll.html
@@ -243,7 +243,7 @@ function onUserKeyUp(e)
       <tr>
 <td>
 <div id="ajax-pb" style="display:none;">
-  <img src="/esc/sow/images/indicator.gif">
+  <img src="/pki/esc/sow/images/indicator.gif">
   <h2 id="progress" name="progress" value="0%" ></h2>
   </table>
 
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html b/dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html
index caa83fa19fb97b7612cd3e5b6831ef78906d9d5d..3f2b31ce6e74ea8f8a05642243fa5db8123cf906 100755
--- a/dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html
+++ b/dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html
@@ -216,7 +216,7 @@ function toggleButton(id, i)
       <tr>
 <td>
 <div id="ajax-pb" style="display:none;">
-  <img src="/esc/sow/images/indicator.gif">
+  <img src="/pki/esc/sow/images/indicator.gif">
   <h2 id="progress" name="progress" value="0%" ></h2>
 </div>
 </td>
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/format.html b/dogtag/tps-ui/shared/cgi-bin/sow/format.html
index 372737c7f1a1e1dcfaede138bfc1f02868aa6b10..3af35589bee9cf6032c3dac063bdb4f19923ffea 100755
--- a/dogtag/tps-ui/shared/cgi-bin/sow/format.html
+++ b/dogtag/tps-ui/shared/cgi-bin/sow/format.html
@@ -221,7 +221,7 @@ function toggleButton(id, i)
       <tr>
 <td>
 <div id="ajax-pb" style="display:none;">
-  <img src="/esc/sow/images/indicator.gif">
+  <img src="/pki/esc/sow/images/indicator.gif">
   <h2 id="progress" name="progress" value="0%" ></h2>
 </div>
 </td>
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/formatso.html b/dogtag/tps-ui/shared/cgi-bin/sow/formatso.html
index 89038b4d15f83f8d55aedf3788c1fc6faff189bd..d09666c5a66de305317ef89ca433696f965f2db2 100755
--- a/dogtag/tps-ui/shared/cgi-bin/sow/formatso.html
+++ b/dogtag/tps-ui/shared/cgi-bin/sow/formatso.html
@@ -171,7 +171,7 @@ function toggleButton(id, i)
       <tr>
 <td>
 <div id="ajax-pb" style="display:none;">
-  <img src="/esc/sow/images/indicator.gif">
+  <img src="/pki/esc/sow/images/indicator.gif">
   <h2 id="progress" name="progress" value="0%" ></h2>
 </div>
 </td>
diff --git a/dogtag/tps-ui/shared/cgi-bin/sow/seturl.html b/dogtag/tps-ui/shared/cgi-bin/sow/seturl.html
index 3a25380b13c21d414b570be3374b35e0e6df476d..966ab7a1b61d7cc7c3978b7c17ec526e95545057 100755
--- a/dogtag/tps-ui/shared/cgi-bin/sow/seturl.html
+++ b/dogtag/tps-ui/shared/cgi-bin/sow/seturl.html
@@ -159,7 +159,7 @@ function toggleButton(id, i)
       <tr>
 <td>
 <div id="ajax-pb" style="display:none;">
-  <img src="/esc/sow/images/indicator.gif">
+  <img src="/pki/esc/sow/images/indicator.gif">
   <h2 id="progress" name="progress" value="0%" ></h2>
 </div>
 </td>
diff --git a/dogtag/tps-ui/shared/docroot/esc/AdminEsc.html b/dogtag/tps-ui/shared/docroot/esc/AdminEsc.html
index 4b2e0ba3b253cd22b9f4ce266e36ea877976392e..3fd72c4c8bd1dc9ed35c87677f8b6edaa02f1d9c 100755
--- a/dogtag/tps-ui/shared/docroot/esc/AdminEsc.html
+++ b/dogtag/tps-ui/shared/docroot/esc/AdminEsc.html
@@ -28,7 +28,7 @@
 <table width="100%">
   <tr>
     <td>
-<img src="../images/logo.gif">     </td>
+<img src="/pki/esc/images/logo.gif">     </td>
     <td>
       <p class="headerText"><a href="esc.cgi?screenname=">Enterprise Security Client</a></p>
     </td>
diff --git a/dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html b/dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html
index ba27675090cf2e27c131b1059b0c9c6d86e710f5..c918890442342dab8af048d755d72b9dd6618e59 100755
--- a/dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html
+++ b/dogtag/tps-ui/shared/docroot/esc/AdvancePopup.html
@@ -1634,7 +1634,7 @@ function refresh()
 <table width="100%">
   <tr>
     <td>
-<img src="../images/logo.gif">     </td>
+<img src="/pki/esc/images/logo.gif">     </td>
     <td>
       <p class="headerText"><a href="esc.cgi?screenname=">Enterprise Security Client</a></p>
     </td>
diff --git a/dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html b/dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html
index fe3b0fdd0e00c2a124d6e8c4a2ea6342ef70ed78..ead7db355ce7b6a3cc1f9c3ee4bf417951c14c55 100755
--- a/dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html
+++ b/dogtag/tps-ui/shared/docroot/esc/EnrollPopup.html
@@ -1643,7 +1643,7 @@ function refresh()
 <table width="100%">
   <tr>
     <td>
-<img src="../images/logo.gif">
+<img src="/pki/esc/images/logo.gif">
     </td>
     <td>
       <p class="headerText"><a href="esc.cgi?screenname=">Enterprise Security Client</a></p>
diff --git a/dogtag/tps-ui/shared/docroot/esc/GenericAuth.html b/dogtag/tps-ui/shared/docroot/esc/GenericAuth.html
index 7891a0cc376b4ae119b49585e590157ed48e1e8d..dc8b88e3f474b3298902990a77be943a9510892b 100755
--- a/dogtag/tps-ui/shared/docroot/esc/GenericAuth.html
+++ b/dogtag/tps-ui/shared/docroot/esc/GenericAuth.html
@@ -20,7 +20,7 @@
 <style>
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7pt;
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html b/dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html
index 328df5792dc39ffd7ba8ef65079614ed90713986..0340ee64cf816ffc642ea7d2216ee3bbf577bd6d 100755
--- a/dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html
+++ b/dogtag/tps-ui/shared/docroot/esc/SettingsEsc.html
@@ -383,7 +383,7 @@ function CreateTableRow(table, keyType, keyID, isAvailable, label, isSecured)
   if (! isAvailable)
     a.style.visibility = "hidden";
   var img = document.createElement("img");
-  img.setAttribute("src", "../images/NetKey-Small.gif");
+  img.setAttribute("src", "/pki/esc/images/NetKey-Small.gif");
   a.appendChild(img);
   cell.appendChild(a);
 
@@ -413,7 +413,7 @@ function CreateTableRow(table, keyType, keyID, isAvailable, label, isSecured)
   cell = InsertCell(row);
   cell.setAttribute("align", "center");
   img = document.createElement("img");
-  img.setAttribute("src", "../images/PadLock.gif");
+  img.setAttribute("src", "/pki/esc/images/PadLock.gif");
   if (!isSecured)
   img.style.visibility = "hidden";
   cell.appendChild(img);
@@ -691,7 +691,7 @@ function OnCOOLKeyStateChange(keyType, keyID, keyState, data)
 <table width="100%">
   <tr>
     <td>
-<img src="../images/logo.gif">     </td>
+<img src="/pki/esc/images/logo.gif">     </td>
     <td>
       <p class="headerText"><a href="esc.cgi?screenname=">Enterprise Security Client</a></p>
     </td>
diff --git a/dogtag/tps-ui/shared/docroot/esc/TokenManager.html b/dogtag/tps-ui/shared/docroot/esc/TokenManager.html
index 8538316d4e6799b0346970362a4d89103dce836d..fcd6beec9b8ec106027038021e8352b39dfec545 100755
--- a/dogtag/tps-ui/shared/docroot/esc/TokenManager.html
+++ b/dogtag/tps-ui/shared/docroot/esc/TokenManager.html
@@ -1639,7 +1639,7 @@ function refresh()
 <table width="100%">
   <tr>
     <td>
-<img src="../images/logo.gif">     </td>
+<img src="/pki/esc/images/logo.gif">     </td>
     <td>
       <p class="headerText"><a href="esc.cgi?screenname=">Enterprise Security Client</a></p>
     </td>
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html b/dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html
index bcd3e34d02523851a30ce255a144bdec9b9b6e05..2a9d2b38642bc8e9f3f3cfeb29b74bc443cb639b 100644
--- a/dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html
+++ b/dogtag/tps-ui/shared/docroot/esc/demo/EnrollSuccess.html
@@ -26,7 +26,7 @@
 <body  leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
 <table width="100%" border="0" cellspacing="0" cellpadding="0" class="logobar">
   <tr> 
-    <td bgcolor="#000000">&nbsp;&nbsp;&nbsp;<img src="/demo/logo.jpg" width="250" height="50"></td>
+    <td bgcolor="#000000">&nbsp;&nbsp;&nbsp;<img src="/pki/esc/demo/logo.jpg" width="250" height="50"></td>
   </tr>
 </table>
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html b/dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html
index 38ccd3262e5c25016b31fae294760616180a0c54..dad83a0016bbd0d2605decf7c1e8bb9838574601 100755
--- a/dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html
+++ b/dogtag/tps-ui/shared/docroot/esc/demo/GenericAuth.html
@@ -21,7 +21,7 @@
 <style>
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7pt;
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html b/dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html
index 0148daba9c2cd9c1d82cf545ccdb12659fd07661..fbe8d241fa7325fb088fcc85a91034a958a26a76 100644
--- a/dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html
+++ b/dogtag/tps-ui/shared/docroot/esc/home/EnrollSuccess.html
@@ -26,7 +26,7 @@
 <body  leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
 <table width="100%" border="0" cellspacing="0" cellpadding="0" class="logobar">
   <tr> 
-    <td bgcolor="#000000">&nbsp;&nbsp;&nbsp;<img src="/esc/home/logo.jpg" width="250" height="50"></td>
+    <td bgcolor="#000000">&nbsp;&nbsp;&nbsp;<img src="/pki/esc/home/logo.jpg" width="250" height="50"></td>
   </tr>
 </table>
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html b/dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html
index 9b28a11458ffdfdac6a992ad14ba80da84edf344..219f9a6adb01ed586e9c3fa119bddd0fa02f572b 100755
--- a/dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html
+++ b/dogtag/tps-ui/shared/docroot/esc/home/GenericAuth.html
@@ -22,7 +22,7 @@
 <style>
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7pt;
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html b/dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html
index aa2cd7907acc589174e7c130fecbd8061b1b2eee..9ed0cebeebb5bf2032afa1e31c2e0f0446e1a5c8 100644
--- a/dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html
+++ b/dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html
@@ -26,7 +26,7 @@
 <body  leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
 <div id="header">
   <div id="logo">
-      <center><h3><!--<img align=bottom src="/esc/sow/images/logo.gif">-->Security Officer Station</h3></center>
+      <center><h3><!--<img align=bottom src="/pki/esc/sow/images/logo.gif">-->Security Officer Station</h3></center>
   </div>
 </div>
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html b/dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html
index 9b28a11458ffdfdac6a992ad14ba80da84edf344..219f9a6adb01ed586e9c3fa119bddd0fa02f572b 100755
--- a/dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html
+++ b/dogtag/tps-ui/shared/docroot/esc/so/GenericAuth.html
@@ -22,7 +22,7 @@
 <style>
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7pt;
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html b/dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html
index 544cb2fb954df91abffd724323e90e42c1589ce3..478819213ff482668e159815d617e2662675b06e 100644
--- a/dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html
+++ b/dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html
@@ -29,7 +29,7 @@
 
 <div id="header">
   <div id="logo">
-      <center><h3><!--<img align=bottom src="/esc/sow/images/logo.gif">-->Security Officer Station</h3></center>
+      <center><h3><!--<img align=bottom src="/pki/esc/sow/images/logo.gif">-->Security Officer Station</h3></center>
   </div>
 </div>
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html b/dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html
index 9b28a11458ffdfdac6a992ad14ba80da84edf344..219f9a6adb01ed586e9c3fa119bddd0fa02f572b 100755
--- a/dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html
+++ b/dogtag/tps-ui/shared/docroot/esc/sow/GenericAuth.html
@@ -22,7 +22,7 @@
 <style>
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7pt;
 
diff --git a/dogtag/tps-ui/shared/docroot/esc/style.css b/dogtag/tps-ui/shared/docroot/esc/style.css
index 83098a440e923ef42347948500f81d4222ea4789..90a1358df253aa6713ebe43c5ca04e3d3f679cc9 100755
--- a/dogtag/tps-ui/shared/docroot/esc/style.css
+++ b/dogtag/tps-ui/shared/docroot/esc/style.css
@@ -18,7 +18,7 @@
  */
 
 body {
-background: #ffffff url(../images/bg.jpg) repeat-x;
+background: #ffffff url(/pki/esc/images/bg.jpg) repeat-x;
         font-family: arial;
         font-size: 7p
 
-- 
1.7.12.1

